import Sun from '../environment/sky'
import Shadows from '../environment/shadow'
import PostProcessing from '../postProcessing/postProcessing'
import Controls from '../controls/controls';
import { Environment } from '@react-three/drei'

import background from "../../../assets/hdr/mudroadpuresky2k.hdr";

function Setup() {
    return (
        <>
            <Controls />

            <Sun />

            <Shadows />

            <PostProcessing />

            <Environment files={background} environmentIntensity={1.5} />
        </>
    )
}

export default Setup