import React from 'react'
import RoboticArmInstance from './armInstance/roboticArmInstance';
import { useArmBotStore } from '../../../../store/simulation/useArmBotStore';

function RoboticArmInstances() {
    const { armBots } = useArmBotStore();

    return (
        <>

            {armBots?.map((robot) => (
                <RoboticArmInstance key={robot.modelUuid} armdetals={robot} />
            ))}

        </>
    )
}

export default RoboticArmInstances;